<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>MCUXpresso SDK API Reference Manual: WDOG: Watchdog Timer Driver</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="fs_logo.gif"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">MCUXpresso SDK API Reference Manual
   &#160;<span id="projectnumber">Rev. 0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group__wdog.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">WDOG: Watchdog Timer Driver</div>  </div>
</div><!--header-->
<div class="contents">
<a name="details" id="details"></a><h2 class="groupheader">Overview</h2>
<p>The MCUXpresso SDK provides a peripheral driver for the Watchdog module (WDOG) of MCUXpresso SDK devices.</p>
<h1><a class="anchor" id="WDOGTypUC"></a>
Typical use case</h1>
<div class="fragment"><div class="line"><a class="code" href="group__wdog.html#structwdog__config__t">wdog_config_t</a> config;</div>
<div class="line"><a class="code" href="group__wdog.html#gaad5ad72d4eaf90ade6be3c976e8bc3f7">WDOG_GetDefaultConfig</a>(&amp;config);</div>
<div class="line">config.<a class="code" href="group__wdog.html#af0195beb6f606e6abe3453279517d8c9">timeoutValue</a> = 0x7ffU;</div>
<div class="line">config.<a class="code" href="group__wdog.html#a47290329d6410ede57d9faaa1aab53e0">enableWindowMode</a> = <span class="keyword">true</span>;</div>
<div class="line">config.<a class="code" href="group__wdog.html#a059b0410b347b3eaf1cae8454aaa87ca">windowValue</a> = 0x1ffU;</div>
<div class="line"><a class="code" href="group__wdog.html#ga50d46daf10ab46c6c696e8807c8e913b">WDOG_Init</a>(wdog_base,&amp;config);</div>
</div><!-- fragment --> <table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:structwdog__work__mode__t"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#structwdog__work__mode__t">wdog_work_mode_t</a></td></tr>
<tr class="memdesc:structwdog__work__mode__t"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines WDOG work mode.  <a href="group__wdog.html#structwdog__work__mode__t">More...</a><br/></td></tr>
<tr class="separator:structwdog__work__mode__t"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:structwdog__config__t"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#structwdog__config__t">wdog_config_t</a></td></tr>
<tr class="memdesc:structwdog__config__t"><td class="mdescLeft">&#160;</td><td class="mdescRight">Describes WDOG configuration structure.  <a href="group__wdog.html#structwdog__config__t">More...</a><br/></td></tr>
<tr class="separator:structwdog__config__t"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:structwdog__test__config__t"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#structwdog__test__config__t">wdog_test_config_t</a></td></tr>
<tr class="memdesc:structwdog__test__config__t"><td class="mdescLeft">&#160;</td><td class="mdescRight">Describes WDOG test mode configuration structure.  <a href="group__wdog.html#structwdog__test__config__t">More...</a><br/></td></tr>
<tr class="separator:structwdog__test__config__t"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:gafa88f60fd40fd11b7d98f8e49ca528b9"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#gafa88f60fd40fd11b7d98f8e49ca528b9">wdog_clock_source_t</a> { <br/>
&#160;&#160;<a class="el" href="group__wdog.html#ggafa88f60fd40fd11b7d98f8e49ca528b9a84488c07dbc231a54bd0e6da0987fa7e">kWDOG_LpoClockSource</a> = 0U, 
<br/>
&#160;&#160;<a class="el" href="group__wdog.html#ggafa88f60fd40fd11b7d98f8e49ca528b9a2ce9ccdaf972aba3d6e1c7ecc74bc41c">kWDOG_AlternateClockSource</a> = 1U
<br/>
 }</td></tr>
<tr class="memdesc:gafa88f60fd40fd11b7d98f8e49ca528b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Describes WDOG clock source.  <a href="group__wdog.html#gafa88f60fd40fd11b7d98f8e49ca528b9">More...</a><br/></td></tr>
<tr class="separator:gafa88f60fd40fd11b7d98f8e49ca528b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2d4d58181e7f657899e90e62655eeb69"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ga2d4d58181e7f657899e90e62655eeb69">wdog_clock_prescaler_t</a> { <br/>
&#160;&#160;<a class="el" href="group__wdog.html#gga2d4d58181e7f657899e90e62655eeb69a0b6ea9af0a4f4cc0e928721469a9e4da">kWDOG_ClockPrescalerDivide1</a> = 0x0U, 
<br/>
&#160;&#160;<a class="el" href="group__wdog.html#gga2d4d58181e7f657899e90e62655eeb69af8af53f885daf71f393ee480975bcbb8">kWDOG_ClockPrescalerDivide2</a> = 0x1U, 
<br/>
&#160;&#160;<a class="el" href="group__wdog.html#gga2d4d58181e7f657899e90e62655eeb69a305e014ef600e925ec4c3684598aaacc">kWDOG_ClockPrescalerDivide3</a> = 0x2U, 
<br/>
&#160;&#160;<a class="el" href="group__wdog.html#gga2d4d58181e7f657899e90e62655eeb69aa78fe1f9c0f692ae26dedf856f7a782f">kWDOG_ClockPrescalerDivide4</a> = 0x3U, 
<br/>
&#160;&#160;<a class="el" href="group__wdog.html#gga2d4d58181e7f657899e90e62655eeb69a04338d2477559eb36bebc7eeb60aeea2">kWDOG_ClockPrescalerDivide5</a> = 0x4U, 
<br/>
&#160;&#160;<a class="el" href="group__wdog.html#gga2d4d58181e7f657899e90e62655eeb69aed38f5238bc3b665c5bcde17e7738457">kWDOG_ClockPrescalerDivide6</a> = 0x5U, 
<br/>
&#160;&#160;<a class="el" href="group__wdog.html#gga2d4d58181e7f657899e90e62655eeb69a4816c04f6b8f740b10d0e1cef007785c">kWDOG_ClockPrescalerDivide7</a> = 0x6U, 
<br/>
&#160;&#160;<a class="el" href="group__wdog.html#gga2d4d58181e7f657899e90e62655eeb69abe9014d0506eedce7d2f9bd7a3a21d05">kWDOG_ClockPrescalerDivide8</a> = 0x7U
<br/>
 }</td></tr>
<tr class="memdesc:ga2d4d58181e7f657899e90e62655eeb69"><td class="mdescLeft">&#160;</td><td class="mdescRight">Describes the selection of the clock prescaler.  <a href="group__wdog.html#ga2d4d58181e7f657899e90e62655eeb69">More...</a><br/></td></tr>
<tr class="separator:ga2d4d58181e7f657899e90e62655eeb69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga64552a1f748e03502b4d1f1ee1d922ab"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ga64552a1f748e03502b4d1f1ee1d922ab">wdog_test_mode_t</a> { <br/>
&#160;&#160;<a class="el" href="group__wdog.html#gga64552a1f748e03502b4d1f1ee1d922aba96e27cf15d233e4fc3188848196276f8">kWDOG_QuickTest</a> = 0U, 
<br/>
&#160;&#160;<a class="el" href="group__wdog.html#gga64552a1f748e03502b4d1f1ee1d922abac3e7fab90f35f97bec0056bee1df1932">kWDOG_ByteTest</a> = 1U
<br/>
 }</td></tr>
<tr class="memdesc:ga64552a1f748e03502b4d1f1ee1d922ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Describes WDOG test mode.  <a href="group__wdog.html#ga64552a1f748e03502b4d1f1ee1d922ab">More...</a><br/></td></tr>
<tr class="separator:ga64552a1f748e03502b4d1f1ee1d922ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa48860fee1c341f864401cdb0ecbe362"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#gaa48860fee1c341f864401cdb0ecbe362">wdog_tested_byte_t</a> { <br/>
&#160;&#160;<a class="el" href="group__wdog.html#ggaa48860fee1c341f864401cdb0ecbe362a0c46e5f537a56ba21ec807614aa04990">kWDOG_TestByte0</a> = 0U, 
<br/>
&#160;&#160;<a class="el" href="group__wdog.html#ggaa48860fee1c341f864401cdb0ecbe362a67520b7ad9477e20aa3dde214f120f6d">kWDOG_TestByte1</a> = 1U, 
<br/>
&#160;&#160;<a class="el" href="group__wdog.html#ggaa48860fee1c341f864401cdb0ecbe362a2d1baac5f767e4ac5a51ce7bd7c5ba85">kWDOG_TestByte2</a> = 2U, 
<br/>
&#160;&#160;<a class="el" href="group__wdog.html#ggaa48860fee1c341f864401cdb0ecbe362ae70bfffcd09b9905f23e653a92beeb43">kWDOG_TestByte3</a> = 3U
<br/>
 }</td></tr>
<tr class="memdesc:gaa48860fee1c341f864401cdb0ecbe362"><td class="mdescLeft">&#160;</td><td class="mdescRight">Describes WDOG tested byte selection in byte test mode.  <a href="group__wdog.html#gaa48860fee1c341f864401cdb0ecbe362">More...</a><br/></td></tr>
<tr class="separator:gaa48860fee1c341f864401cdb0ecbe362"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga77a8c105e58873f7921620cefce19a77"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ga77a8c105e58873f7921620cefce19a77">_wdog_interrupt_enable_t</a> { <a class="el" href="group__wdog.html#gga77a8c105e58873f7921620cefce19a77a8c358d55c0101eaa0a580d867572ec8d">kWDOG_InterruptEnable</a> = WDOG_STCTRLH_IRQRSTEN_MASK
 }</td></tr>
<tr class="memdesc:ga77a8c105e58873f7921620cefce19a77"><td class="mdescLeft">&#160;</td><td class="mdescRight">WDOG interrupt configuration structure, default settings all disabled.  <a href="group__wdog.html#ga77a8c105e58873f7921620cefce19a77">More...</a><br/></td></tr>
<tr class="separator:ga77a8c105e58873f7921620cefce19a77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7b26e9bea61734f20982de157dc1b035"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ga7b26e9bea61734f20982de157dc1b035">_wdog_status_flags_t</a> { <br/>
&#160;&#160;<a class="el" href="group__wdog.html#gga7b26e9bea61734f20982de157dc1b035a36d15132390c05315cadcd7531d16235">kWDOG_RunningFlag</a> = WDOG_STCTRLH_WDOGEN_MASK, 
<br/>
&#160;&#160;<a class="el" href="group__wdog.html#gga7b26e9bea61734f20982de157dc1b035a9d7e173beed559ce639dfeaed4635483">kWDOG_TimeoutFlag</a> = WDOG_STCTRLL_INTFLG_MASK
<br/>
 }</td></tr>
<tr class="memdesc:ga7b26e9bea61734f20982de157dc1b035"><td class="mdescLeft">&#160;</td><td class="mdescRight">WDOG status flags.  <a href="group__wdog.html#ga7b26e9bea61734f20982de157dc1b035">More...</a><br/></td></tr>
<tr class="separator:ga7b26e9bea61734f20982de157dc1b035"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Driver version</h2></td></tr>
<tr class="memitem:ga5baa4ad349ae3c543938d4ee773df43e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ga5baa4ad349ae3c543938d4ee773df43e">FSL_WDOG_DRIVER_VERSION</a>&#160;&#160;&#160;(<a class="el" href="group__flash__driver.html#ga812138aa3315b0c6953c1a26130bcc37">MAKE_VERSION</a>(2, 0, 0))</td></tr>
<tr class="memdesc:ga5baa4ad349ae3c543938d4ee773df43e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines WDOG driver version 2.0.0.  <a href="#ga5baa4ad349ae3c543938d4ee773df43e">More...</a><br/></td></tr>
<tr class="separator:ga5baa4ad349ae3c543938d4ee773df43e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Unlock sequence</h2></td></tr>
<tr class="memitem:ga8825b35bd62726165737f5dc0f5f61e4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga8825b35bd62726165737f5dc0f5f61e4"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ga8825b35bd62726165737f5dc0f5f61e4">WDOG_FIRST_WORD_OF_UNLOCK</a>&#160;&#160;&#160;(0xC520U)</td></tr>
<tr class="memdesc:ga8825b35bd62726165737f5dc0f5f61e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">First word of unlock sequence. <br/></td></tr>
<tr class="separator:ga8825b35bd62726165737f5dc0f5f61e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae2018a4151df654f86822786500cf2d3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gae2018a4151df654f86822786500cf2d3"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#gae2018a4151df654f86822786500cf2d3">WDOG_SECOND_WORD_OF_UNLOCK</a>&#160;&#160;&#160;(0xD928U)</td></tr>
<tr class="memdesc:gae2018a4151df654f86822786500cf2d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Second word of unlock sequence. <br/></td></tr>
<tr class="separator:gae2018a4151df654f86822786500cf2d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Refresh sequence</h2></td></tr>
<tr class="memitem:ga10f1df824e5965d6413b2e892fd04659"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga10f1df824e5965d6413b2e892fd04659"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ga10f1df824e5965d6413b2e892fd04659">WDOG_FIRST_WORD_OF_REFRESH</a>&#160;&#160;&#160;(0xA602U)</td></tr>
<tr class="memdesc:ga10f1df824e5965d6413b2e892fd04659"><td class="mdescLeft">&#160;</td><td class="mdescRight">First word of refresh sequence. <br/></td></tr>
<tr class="separator:ga10f1df824e5965d6413b2e892fd04659"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2a375c7e4d71e7f52e899bce0a9106ee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga2a375c7e4d71e7f52e899bce0a9106ee"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ga2a375c7e4d71e7f52e899bce0a9106ee">WDOG_SECOND_WORD_OF_REFRESH</a>&#160;&#160;&#160;(0xB480U)</td></tr>
<tr class="memdesc:ga2a375c7e4d71e7f52e899bce0a9106ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Second word of refresh sequence. <br/></td></tr>
<tr class="separator:ga2a375c7e4d71e7f52e899bce0a9106ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
WDOG Initialization and De-initialization</h2></td></tr>
<tr class="memitem:gaad5ad72d4eaf90ade6be3c976e8bc3f7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#gaad5ad72d4eaf90ade6be3c976e8bc3f7">WDOG_GetDefaultConfig</a> (<a class="el" href="group__wdog.html#structwdog__config__t">wdog_config_t</a> *config)</td></tr>
<tr class="memdesc:gaad5ad72d4eaf90ade6be3c976e8bc3f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes the WDOG configuration sturcture.  <a href="#gaad5ad72d4eaf90ade6be3c976e8bc3f7">More...</a><br/></td></tr>
<tr class="separator:gaad5ad72d4eaf90ade6be3c976e8bc3f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga50d46daf10ab46c6c696e8807c8e913b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ga50d46daf10ab46c6c696e8807c8e913b">WDOG_Init</a> (WDOG_Type *base, const <a class="el" href="group__wdog.html#structwdog__config__t">wdog_config_t</a> *config)</td></tr>
<tr class="memdesc:ga50d46daf10ab46c6c696e8807c8e913b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes the WDOG.  <a href="#ga50d46daf10ab46c6c696e8807c8e913b">More...</a><br/></td></tr>
<tr class="separator:ga50d46daf10ab46c6c696e8807c8e913b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa6667780dc3dcd9579f0689178c3b0d9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#gaa6667780dc3dcd9579f0689178c3b0d9">WDOG_Deinit</a> (WDOG_Type *base)</td></tr>
<tr class="memdesc:gaa6667780dc3dcd9579f0689178c3b0d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shuts down the WDOG.  <a href="#gaa6667780dc3dcd9579f0689178c3b0d9">More...</a><br/></td></tr>
<tr class="separator:gaa6667780dc3dcd9579f0689178c3b0d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga32005e4ad8973afcaed32346d3e05652"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ga32005e4ad8973afcaed32346d3e05652">WDOG_SetTestModeConfig</a> (WDOG_Type *base, <a class="el" href="group__wdog.html#structwdog__test__config__t">wdog_test_config_t</a> *config)</td></tr>
<tr class="memdesc:ga32005e4ad8973afcaed32346d3e05652"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configures the WDOG functional test.  <a href="#ga32005e4ad8973afcaed32346d3e05652">More...</a><br/></td></tr>
<tr class="separator:ga32005e4ad8973afcaed32346d3e05652"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
WDOG Functional Operation</h2></td></tr>
<tr class="memitem:gab4deee569751728b2bd3a74f3c51e51e"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#gab4deee569751728b2bd3a74f3c51e51e">WDOG_Enable</a> (WDOG_Type *base)</td></tr>
<tr class="memdesc:gab4deee569751728b2bd3a74f3c51e51e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables the WDOG module.  <a href="#gab4deee569751728b2bd3a74f3c51e51e">More...</a><br/></td></tr>
<tr class="separator:gab4deee569751728b2bd3a74f3c51e51e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac50451a963f16a891a365df27305dcca"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#gac50451a963f16a891a365df27305dcca">WDOG_Disable</a> (WDOG_Type *base)</td></tr>
<tr class="memdesc:gac50451a963f16a891a365df27305dcca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disables the WDOG module.  <a href="#gac50451a963f16a891a365df27305dcca">More...</a><br/></td></tr>
<tr class="separator:gac50451a963f16a891a365df27305dcca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad648dd649b325b8e03cdefc35d2dd8ca"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#gad648dd649b325b8e03cdefc35d2dd8ca">WDOG_EnableInterrupts</a> (WDOG_Type *base, uint32_t mask)</td></tr>
<tr class="memdesc:gad648dd649b325b8e03cdefc35d2dd8ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables the WDOG interrupt.  <a href="#gad648dd649b325b8e03cdefc35d2dd8ca">More...</a><br/></td></tr>
<tr class="separator:gad648dd649b325b8e03cdefc35d2dd8ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac88143177a2249414d3b2629fdbf7a8c"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#gac88143177a2249414d3b2629fdbf7a8c">WDOG_DisableInterrupts</a> (WDOG_Type *base, uint32_t mask)</td></tr>
<tr class="memdesc:gac88143177a2249414d3b2629fdbf7a8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disables the WDOG interrupt.  <a href="#gac88143177a2249414d3b2629fdbf7a8c">More...</a><br/></td></tr>
<tr class="separator:gac88143177a2249414d3b2629fdbf7a8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4514dcb84b2fd40525df3834d83775fa"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ga4514dcb84b2fd40525df3834d83775fa">WDOG_GetStatusFlags</a> (WDOG_Type *base)</td></tr>
<tr class="memdesc:ga4514dcb84b2fd40525df3834d83775fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the WDOG all status flags.  <a href="#ga4514dcb84b2fd40525df3834d83775fa">More...</a><br/></td></tr>
<tr class="separator:ga4514dcb84b2fd40525df3834d83775fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga899c4afcda1b64a8259005fb61d06241"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ga899c4afcda1b64a8259005fb61d06241">WDOG_ClearStatusFlags</a> (WDOG_Type *base, uint32_t mask)</td></tr>
<tr class="memdesc:ga899c4afcda1b64a8259005fb61d06241"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears the WDOG flag.  <a href="#ga899c4afcda1b64a8259005fb61d06241">More...</a><br/></td></tr>
<tr class="separator:ga899c4afcda1b64a8259005fb61d06241"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad271927639c14d2e72afc873148e08fe"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#gad271927639c14d2e72afc873148e08fe">WDOG_SetTimeoutValue</a> (WDOG_Type *base, uint32_t timeoutCount)</td></tr>
<tr class="memdesc:gad271927639c14d2e72afc873148e08fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the WDOG timeout value.  <a href="#gad271927639c14d2e72afc873148e08fe">More...</a><br/></td></tr>
<tr class="separator:gad271927639c14d2e72afc873148e08fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4ad416f5872fa7599ae7bd1183b4b2cd"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ga4ad416f5872fa7599ae7bd1183b4b2cd">WDOG_SetWindowValue</a> (WDOG_Type *base, uint32_t windowValue)</td></tr>
<tr class="memdesc:ga4ad416f5872fa7599ae7bd1183b4b2cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the WDOG window value.  <a href="#ga4ad416f5872fa7599ae7bd1183b4b2cd">More...</a><br/></td></tr>
<tr class="separator:ga4ad416f5872fa7599ae7bd1183b4b2cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7df5cb1939d3bf0772618d05aceeb6b4"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ga7df5cb1939d3bf0772618d05aceeb6b4">WDOG_Unlock</a> (WDOG_Type *base)</td></tr>
<tr class="memdesc:ga7df5cb1939d3bf0772618d05aceeb6b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unlocks the WDOG register written.  <a href="#ga7df5cb1939d3bf0772618d05aceeb6b4">More...</a><br/></td></tr>
<tr class="separator:ga7df5cb1939d3bf0772618d05aceeb6b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d307a7df8f2b926c306dc8714dda3f5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ga1d307a7df8f2b926c306dc8714dda3f5">WDOG_Refresh</a> (WDOG_Type *base)</td></tr>
<tr class="memdesc:ga1d307a7df8f2b926c306dc8714dda3f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Refreshes the WDOG timer.  <a href="#ga1d307a7df8f2b926c306dc8714dda3f5">More...</a><br/></td></tr>
<tr class="separator:ga1d307a7df8f2b926c306dc8714dda3f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga394597f9a677b3cb4703caa2bcb153b3"><td class="memItemLeft" align="right" valign="top">static uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ga394597f9a677b3cb4703caa2bcb153b3">WDOG_GetResetCount</a> (WDOG_Type *base)</td></tr>
<tr class="memdesc:ga394597f9a677b3cb4703caa2bcb153b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the WDOG reset count.  <a href="#ga394597f9a677b3cb4703caa2bcb153b3">More...</a><br/></td></tr>
<tr class="separator:ga394597f9a677b3cb4703caa2bcb153b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d143e1818e98b4657f8a29c69a48a50"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ga1d143e1818e98b4657f8a29c69a48a50">WDOG_ClearResetCount</a> (WDOG_Type *base)</td></tr>
<tr class="memdesc:ga1d143e1818e98b4657f8a29c69a48a50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears the WDOG reset count.  <a href="#ga1d143e1818e98b4657f8a29c69a48a50">More...</a><br/></td></tr>
<tr class="separator:ga1d143e1818e98b4657f8a29c69a48a50"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/><h2 class="groupheader">Data Structure Documentation</h2>
<a name="structwdog__work__mode__t" id="structwdog__work__mode__t"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct wdog_work_mode_t</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock"></div><table class="memberdecls">
<tr><td colspan="2"><h3>Data Fields</h3></td></tr>
<tr class="memitem:ac4c03e680f6c2070c50e9cbb7eae64fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac4c03e680f6c2070c50e9cbb7eae64fc"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ac4c03e680f6c2070c50e9cbb7eae64fc">enableWait</a></td></tr>
<tr class="memdesc:ac4c03e680f6c2070c50e9cbb7eae64fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables or disables WDOG in wait mode. <br/></td></tr>
<tr class="separator:ac4c03e680f6c2070c50e9cbb7eae64fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26f09db30cdfe918931fb6e2ea0545ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a26f09db30cdfe918931fb6e2ea0545ad"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#a26f09db30cdfe918931fb6e2ea0545ad">enableStop</a></td></tr>
<tr class="memdesc:a26f09db30cdfe918931fb6e2ea0545ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables or disables WDOG in stop mode. <br/></td></tr>
<tr class="separator:a26f09db30cdfe918931fb6e2ea0545ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac46160e5425428c3f6b2bd7a9103539e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac46160e5425428c3f6b2bd7a9103539e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ac46160e5425428c3f6b2bd7a9103539e">enableDebug</a></td></tr>
<tr class="memdesc:ac46160e5425428c3f6b2bd7a9103539e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables or disables WDOG in debug mode. <br/></td></tr>
<tr class="separator:ac46160e5425428c3f6b2bd7a9103539e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>

</div>
</div>
<a name="structwdog__config__t" id="structwdog__config__t"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct wdog_config_t</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock"></div><table class="memberdecls">
<tr><td colspan="2"><h3>Data Fields</h3></td></tr>
<tr class="memitem:a871dc017463d6cc5d31121b40affa1a4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a871dc017463d6cc5d31121b40affa1a4"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#a871dc017463d6cc5d31121b40affa1a4">enableWdog</a></td></tr>
<tr class="memdesc:a871dc017463d6cc5d31121b40affa1a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables or disables WDOG. <br/></td></tr>
<tr class="separator:a871dc017463d6cc5d31121b40affa1a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a385038dd62610c215e2d1536371fec4d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a385038dd62610c215e2d1536371fec4d"></a>
<a class="el" href="group__wdog.html#gafa88f60fd40fd11b7d98f8e49ca528b9">wdog_clock_source_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#a385038dd62610c215e2d1536371fec4d">clockSource</a></td></tr>
<tr class="memdesc:a385038dd62610c215e2d1536371fec4d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock source select. <br/></td></tr>
<tr class="separator:a385038dd62610c215e2d1536371fec4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd273040b33c6246066b0aabd62ec944"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acd273040b33c6246066b0aabd62ec944"></a>
<a class="el" href="group__wdog.html#ga2d4d58181e7f657899e90e62655eeb69">wdog_clock_prescaler_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#acd273040b33c6246066b0aabd62ec944">prescaler</a></td></tr>
<tr class="memdesc:acd273040b33c6246066b0aabd62ec944"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock prescaler value. <br/></td></tr>
<tr class="separator:acd273040b33c6246066b0aabd62ec944"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52dd1d98958c48e0a342e3ffe9a1c351"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52dd1d98958c48e0a342e3ffe9a1c351"></a>
<a class="el" href="group__wdog.html#structwdog__work__mode__t">wdog_work_mode_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#a52dd1d98958c48e0a342e3ffe9a1c351">workMode</a></td></tr>
<tr class="memdesc:a52dd1d98958c48e0a342e3ffe9a1c351"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configures WDOG work mode in debug stop and wait mode. <br/></td></tr>
<tr class="separator:a52dd1d98958c48e0a342e3ffe9a1c351"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab33582288d01861e09f937119a38d1dc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab33582288d01861e09f937119a38d1dc"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#ab33582288d01861e09f937119a38d1dc">enableUpdate</a></td></tr>
<tr class="memdesc:ab33582288d01861e09f937119a38d1dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Update write-once register enable. <br/></td></tr>
<tr class="separator:ab33582288d01861e09f937119a38d1dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa749ba919bb8ddf9b52fda7781afa6b5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa749ba919bb8ddf9b52fda7781afa6b5"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#aa749ba919bb8ddf9b52fda7781afa6b5">enableInterrupt</a></td></tr>
<tr class="memdesc:aa749ba919bb8ddf9b52fda7781afa6b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables or disables WDOG interrupt. <br/></td></tr>
<tr class="separator:aa749ba919bb8ddf9b52fda7781afa6b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47290329d6410ede57d9faaa1aab53e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a47290329d6410ede57d9faaa1aab53e0"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#a47290329d6410ede57d9faaa1aab53e0">enableWindowMode</a></td></tr>
<tr class="memdesc:a47290329d6410ede57d9faaa1aab53e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables or disables WDOG window mode. <br/></td></tr>
<tr class="separator:a47290329d6410ede57d9faaa1aab53e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a059b0410b347b3eaf1cae8454aaa87ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a059b0410b347b3eaf1cae8454aaa87ca"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#a059b0410b347b3eaf1cae8454aaa87ca">windowValue</a></td></tr>
<tr class="memdesc:a059b0410b347b3eaf1cae8454aaa87ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Window value. <br/></td></tr>
<tr class="separator:a059b0410b347b3eaf1cae8454aaa87ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0195beb6f606e6abe3453279517d8c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af0195beb6f606e6abe3453279517d8c9"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#af0195beb6f606e6abe3453279517d8c9">timeoutValue</a></td></tr>
<tr class="memdesc:af0195beb6f606e6abe3453279517d8c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timeout value. <br/></td></tr>
<tr class="separator:af0195beb6f606e6abe3453279517d8c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>

</div>
</div>
<a name="structwdog__test__config__t" id="structwdog__test__config__t"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct wdog_test_config_t</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock"></div><table class="memberdecls">
<tr><td colspan="2"><h3>Data Fields</h3></td></tr>
<tr class="memitem:a757a19722f670fd81cd7ba0eeea366ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a757a19722f670fd81cd7ba0eeea366ec"></a>
<a class="el" href="group__wdog.html#ga64552a1f748e03502b4d1f1ee1d922ab">wdog_test_mode_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#a757a19722f670fd81cd7ba0eeea366ec">testMode</a></td></tr>
<tr class="memdesc:a757a19722f670fd81cd7ba0eeea366ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selects test mode. <br/></td></tr>
<tr class="separator:a757a19722f670fd81cd7ba0eeea366ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2af54b3a5f3e2d96ecd01123b5f41fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2af54b3a5f3e2d96ecd01123b5f41fd"></a>
<a class="el" href="group__wdog.html#gaa48860fee1c341f864401cdb0ecbe362">wdog_tested_byte_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#aa2af54b3a5f3e2d96ecd01123b5f41fd">testedByte</a></td></tr>
<tr class="memdesc:aa2af54b3a5f3e2d96ecd01123b5f41fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selects tested byte in byte test mode. <br/></td></tr>
<tr class="separator:aa2af54b3a5f3e2d96ecd01123b5f41fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e0b3609b4771296f3a2bb9b67989cd1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e0b3609b4771296f3a2bb9b67989cd1"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wdog.html#a0e0b3609b4771296f3a2bb9b67989cd1">timeoutValue</a></td></tr>
<tr class="memdesc:a0e0b3609b4771296f3a2bb9b67989cd1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timeout value. <br/></td></tr>
<tr class="separator:a0e0b3609b4771296f3a2bb9b67989cd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="ga5baa4ad349ae3c543938d4ee773df43e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FSL_WDOG_DRIVER_VERSION&#160;&#160;&#160;(<a class="el" href="group__flash__driver.html#ga812138aa3315b0c6953c1a26130bcc37">MAKE_VERSION</a>(2, 0, 0))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="gafa88f60fd40fd11b7d98f8e49ca528b9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__wdog.html#gafa88f60fd40fd11b7d98f8e49ca528b9">wdog_clock_source_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="ggafa88f60fd40fd11b7d98f8e49ca528b9a84488c07dbc231a54bd0e6da0987fa7e"></a>kWDOG_LpoClockSource</em>&nbsp;</td><td class="fielddoc">
<p>WDOG clock sourced from LPO. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggafa88f60fd40fd11b7d98f8e49ca528b9a2ce9ccdaf972aba3d6e1c7ecc74bc41c"></a>kWDOG_AlternateClockSource</em>&nbsp;</td><td class="fielddoc">
<p>WDOG clock sourced from alternate clock source. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga2d4d58181e7f657899e90e62655eeb69"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__wdog.html#ga2d4d58181e7f657899e90e62655eeb69">wdog_clock_prescaler_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="gga2d4d58181e7f657899e90e62655eeb69a0b6ea9af0a4f4cc0e928721469a9e4da"></a>kWDOG_ClockPrescalerDivide1</em>&nbsp;</td><td class="fielddoc">
<p>Divided by 1. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga2d4d58181e7f657899e90e62655eeb69af8af53f885daf71f393ee480975bcbb8"></a>kWDOG_ClockPrescalerDivide2</em>&nbsp;</td><td class="fielddoc">
<p>Divided by 2. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga2d4d58181e7f657899e90e62655eeb69a305e014ef600e925ec4c3684598aaacc"></a>kWDOG_ClockPrescalerDivide3</em>&nbsp;</td><td class="fielddoc">
<p>Divided by 3. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga2d4d58181e7f657899e90e62655eeb69aa78fe1f9c0f692ae26dedf856f7a782f"></a>kWDOG_ClockPrescalerDivide4</em>&nbsp;</td><td class="fielddoc">
<p>Divided by 4. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga2d4d58181e7f657899e90e62655eeb69a04338d2477559eb36bebc7eeb60aeea2"></a>kWDOG_ClockPrescalerDivide5</em>&nbsp;</td><td class="fielddoc">
<p>Divided by 5. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga2d4d58181e7f657899e90e62655eeb69aed38f5238bc3b665c5bcde17e7738457"></a>kWDOG_ClockPrescalerDivide6</em>&nbsp;</td><td class="fielddoc">
<p>Divided by 6. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga2d4d58181e7f657899e90e62655eeb69a4816c04f6b8f740b10d0e1cef007785c"></a>kWDOG_ClockPrescalerDivide7</em>&nbsp;</td><td class="fielddoc">
<p>Divided by 7. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga2d4d58181e7f657899e90e62655eeb69abe9014d0506eedce7d2f9bd7a3a21d05"></a>kWDOG_ClockPrescalerDivide8</em>&nbsp;</td><td class="fielddoc">
<p>Divided by 8. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga64552a1f748e03502b4d1f1ee1d922ab"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__wdog.html#ga64552a1f748e03502b4d1f1ee1d922ab">wdog_test_mode_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="gga64552a1f748e03502b4d1f1ee1d922aba96e27cf15d233e4fc3188848196276f8"></a>kWDOG_QuickTest</em>&nbsp;</td><td class="fielddoc">
<p>Selects quick test. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga64552a1f748e03502b4d1f1ee1d922abac3e7fab90f35f97bec0056bee1df1932"></a>kWDOG_ByteTest</em>&nbsp;</td><td class="fielddoc">
<p>Selects byte test. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gaa48860fee1c341f864401cdb0ecbe362"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__wdog.html#gaa48860fee1c341f864401cdb0ecbe362">wdog_tested_byte_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="ggaa48860fee1c341f864401cdb0ecbe362a0c46e5f537a56ba21ec807614aa04990"></a>kWDOG_TestByte0</em>&nbsp;</td><td class="fielddoc">
<p>Byte 0 selected in byte test mode. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggaa48860fee1c341f864401cdb0ecbe362a67520b7ad9477e20aa3dde214f120f6d"></a>kWDOG_TestByte1</em>&nbsp;</td><td class="fielddoc">
<p>Byte 1 selected in byte test mode. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggaa48860fee1c341f864401cdb0ecbe362a2d1baac5f767e4ac5a51ce7bd7c5ba85"></a>kWDOG_TestByte2</em>&nbsp;</td><td class="fielddoc">
<p>Byte 2 selected in byte test mode. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggaa48860fee1c341f864401cdb0ecbe362ae70bfffcd09b9905f23e653a92beeb43"></a>kWDOG_TestByte3</em>&nbsp;</td><td class="fielddoc">
<p>Byte 3 selected in byte test mode. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga77a8c105e58873f7921620cefce19a77"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__wdog.html#ga77a8c105e58873f7921620cefce19a77">_wdog_interrupt_enable_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This structure contains the settings for all of the WDOG interrupt configurations. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="gga77a8c105e58873f7921620cefce19a77a8c358d55c0101eaa0a580d867572ec8d"></a>kWDOG_InterruptEnable</em>&nbsp;</td><td class="fielddoc">
<p>WDOG timeout generates an interrupt before reset. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga7b26e9bea61734f20982de157dc1b035"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__wdog.html#ga7b26e9bea61734f20982de157dc1b035">_wdog_status_flags_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This structure contains the WDOG status flags for use in the WDOG functions. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="gga7b26e9bea61734f20982de157dc1b035a36d15132390c05315cadcd7531d16235"></a>kWDOG_RunningFlag</em>&nbsp;</td><td class="fielddoc">
<p>Running flag, set when WDOG is enabled. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga7b26e9bea61734f20982de157dc1b035a9d7e173beed559ce639dfeaed4635483"></a>kWDOG_TimeoutFlag</em>&nbsp;</td><td class="fielddoc">
<p>Interrupt flag, set when an exception occurs. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="gaad5ad72d4eaf90ade6be3c976e8bc3f7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WDOG_GetDefaultConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__wdog.html#structwdog__config__t">wdog_config_t</a> *&#160;</td>
          <td class="paramname"><em>config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function initializes the WDOG configuration structure to default values. The default values are as follows. </p>
<div class="fragment"><div class="line">*   wdogConfig-&gt;enableWdog = <span class="keyword">true</span>;</div>
<div class="line">*   wdogConfig-&gt;clockSource = <a class="code" href="group__wdog.html#ggafa88f60fd40fd11b7d98f8e49ca528b9a84488c07dbc231a54bd0e6da0987fa7e">kWDOG_LpoClockSource</a>;</div>
<div class="line">*   wdogConfig-&gt;prescaler = <a class="code" href="group__wdog.html#gga2d4d58181e7f657899e90e62655eeb69a0b6ea9af0a4f4cc0e928721469a9e4da">kWDOG_ClockPrescalerDivide1</a>;</div>
<div class="line">*   wdogConfig-&gt;workMode.enableWait = <span class="keyword">true</span>;</div>
<div class="line">*   wdogConfig-&gt;workMode.enableStop = <span class="keyword">false</span>;</div>
<div class="line">*   wdogConfig-&gt;workMode.enableDebug = <span class="keyword">false</span>;</div>
<div class="line">*   wdogConfig-&gt;enableUpdate = <span class="keyword">true</span>;</div>
<div class="line">*   wdogConfig-&gt;enableInterrupt = <span class="keyword">false</span>;</div>
<div class="line">*   wdogConfig-&gt;enableWindowMode = <span class="keyword">false</span>;</div>
<div class="line">*   wdogConfig-&gt;windowValue = 0;</div>
<div class="line">*   wdogConfig-&gt;timeoutValue = 0xFFFFU;</div>
<div class="line">* </div>
</div><!-- fragment --><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">config</td><td>Pointer to the WDOG configuration structure. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See Also</dt><dd><a class="el" href="group__wdog.html#structwdog__config__t" title="Describes WDOG configuration structure. ">wdog_config_t</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga50d46daf10ab46c6c696e8807c8e913b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WDOG_Init </td>
          <td>(</td>
          <td class="paramtype">WDOG_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__wdog.html#structwdog__config__t">wdog_config_t</a> *&#160;</td>
          <td class="paramname"><em>config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function initializes the WDOG. When called, the WDOG runs according to the configuration. To reconfigure WDOG without forcing a reset first, enableUpdate must be set to true in the configuration.</p>
<p>This is an example. </p>
<div class="fragment"><div class="line">*   <a class="code" href="group__wdog.html#structwdog__config__t">wdog_config_t</a> config;</div>
<div class="line">*   <a class="code" href="group__wdog.html#gaad5ad72d4eaf90ade6be3c976e8bc3f7">WDOG_GetDefaultConfig</a>(&amp;config);</div>
<div class="line">*   config.<a class="code" href="group__wdog.html#af0195beb6f606e6abe3453279517d8c9">timeoutValue</a> = 0x7ffU;</div>
<div class="line">*   config.<a class="code" href="group__wdog.html#ab33582288d01861e09f937119a38d1dc">enableUpdate</a> = <span class="keyword">true</span>;</div>
<div class="line">*   <a class="code" href="group__wdog.html#ga50d46daf10ab46c6c696e8807c8e913b">WDOG_Init</a>(wdog_base,&amp;config);</div>
<div class="line">* </div>
</div><!-- fragment --><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>WDOG peripheral base address </td></tr>
    <tr><td class="paramname">config</td><td>The configuration of WDOG </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa6667780dc3dcd9579f0689178c3b0d9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WDOG_Deinit </td>
          <td>(</td>
          <td class="paramtype">WDOG_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function shuts down the WDOG. Ensure that the WDOG_STCTRLH.ALLOWUPDATE is 1 which indicates that the register update is enabled. </p>

</div>
</div>
<a class="anchor" id="ga32005e4ad8973afcaed32346d3e05652"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WDOG_SetTestModeConfig </td>
          <td>(</td>
          <td class="paramtype">WDOG_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__wdog.html#structwdog__test__config__t">wdog_test_config_t</a> *&#160;</td>
          <td class="paramname"><em>config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function is used to configure the WDOG functional test. When called, the WDOG goes into test mode and runs according to the configuration. Ensure that the WDOG_STCTRLH.ALLOWUPDATE is 1 which means that the register update is enabled.</p>
<p>This is an example. </p>
<div class="fragment"><div class="line">*   <a class="code" href="group__wdog.html#structwdog__test__config__t">wdog_test_config_t</a> test_config;</div>
<div class="line">*   test_config.<a class="code" href="group__wdog.html#a757a19722f670fd81cd7ba0eeea366ec">testMode</a> = <a class="code" href="group__wdog.html#gga64552a1f748e03502b4d1f1ee1d922aba96e27cf15d233e4fc3188848196276f8">kWDOG_QuickTest</a>;</div>
<div class="line">*   test_config.<a class="code" href="group__wdog.html#a0e0b3609b4771296f3a2bb9b67989cd1">timeoutValue</a> = 0xfffffu;</div>
<div class="line">*   <a class="code" href="group__wdog.html#ga32005e4ad8973afcaed32346d3e05652">WDOG_SetTestModeConfig</a>(wdog_base, &amp;test_config);</div>
<div class="line">* </div>
</div><!-- fragment --> <dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>WDOG peripheral base address </td></tr>
    <tr><td class="paramname">config</td><td>The functional test configuration of WDOG </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gab4deee569751728b2bd3a74f3c51e51e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void WDOG_Enable </td>
          <td>(</td>
          <td class="paramtype">WDOG_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function write value into WDOG_STCTRLH register to enable the WDOG, it is a write-once register, make sure that the WCT window is still open and this register has not been written in this WCT while this function is called.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>WDOG peripheral base address </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac50451a963f16a891a365df27305dcca"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void WDOG_Disable </td>
          <td>(</td>
          <td class="paramtype">WDOG_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function writes a value into the WDOG_STCTRLH register to disable the WDOG. It is a write-once register. Ensure that the WCT window is still open and that register has not been written to in this WCT while the function is called.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>WDOG peripheral base address </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad648dd649b325b8e03cdefc35d2dd8ca"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void WDOG_EnableInterrupts </td>
          <td>(</td>
          <td class="paramtype">WDOG_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function writes a value into the WDOG_STCTRLH register to enable the WDOG interrupt. It is a write-once register. Ensure that the WCT window is still open and the register has not been written to in this WCT while the function is called.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>WDOG peripheral base address </td></tr>
    <tr><td class="paramname">mask</td><td>The interrupts to enable The parameter can be combination of the following source if defined. <ul>
<li>kWDOG_InterruptEnable </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac88143177a2249414d3b2629fdbf7a8c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void WDOG_DisableInterrupts </td>
          <td>(</td>
          <td class="paramtype">WDOG_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function writes a value into the WDOG_STCTRLH register to disable the WDOG interrupt. It is a write-once register. Ensure that the WCT window is still open and the register has not been written to in this WCT while the function is called.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>WDOG peripheral base address </td></tr>
    <tr><td class="paramname">mask</td><td>The interrupts to disable The parameter can be combination of the following source if defined. <ul>
<li>kWDOG_InterruptEnable </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga4514dcb84b2fd40525df3834d83775fa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t WDOG_GetStatusFlags </td>
          <td>(</td>
          <td class="paramtype">WDOG_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function gets all status flags.</p>
<p>This is an example for getting the Running Flag. </p>
<div class="fragment"><div class="line">*   uint32_t status;</div>
<div class="line">*   status = <a class="code" href="group__wdog.html#ga4514dcb84b2fd40525df3834d83775fa">WDOG_GetStatusFlags</a> (wdog_base) &amp; <a class="code" href="group__wdog.html#gga7b26e9bea61734f20982de157dc1b035a36d15132390c05315cadcd7531d16235">kWDOG_RunningFlag</a>;</div>
<div class="line">* </div>
</div><!-- fragment --> <dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>WDOG peripheral base address </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>State of the status flag: asserted (true) or not-asserted (false).</dd></dl>
<dl class="section see"><dt>See Also</dt><dd><a class="el" href="group__wdog.html#ga7b26e9bea61734f20982de157dc1b035" title="WDOG status flags. ">_wdog_status_flags_t</a><ul>
<li>true: a related status flag has been set.</li>
<li>false: a related status flag is not set. </li>
</ul>
</dd></dl>

</div>
</div>
<a class="anchor" id="ga899c4afcda1b64a8259005fb61d06241"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WDOG_ClearStatusFlags </td>
          <td>(</td>
          <td class="paramtype">WDOG_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function clears the WDOG status flag.</p>
<p>This is an example for clearing the timeout (interrupt) flag. </p>
<div class="fragment"><div class="line">*   <a class="code" href="group__wdog.html#ga899c4afcda1b64a8259005fb61d06241">WDOG_ClearStatusFlags</a>(wdog_base,<a class="code" href="group__wdog.html#gga7b26e9bea61734f20982de157dc1b035a9d7e173beed559ce639dfeaed4635483">kWDOG_TimeoutFlag</a>);</div>
<div class="line">* </div>
</div><!-- fragment --> <dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>WDOG peripheral base address </td></tr>
    <tr><td class="paramname">mask</td><td>The status flags to clear. The parameter could be any combination of the following values. kWDOG_TimeoutFlag </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad271927639c14d2e72afc873148e08fe"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void WDOG_SetTimeoutValue </td>
          <td>(</td>
          <td class="paramtype">WDOG_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>timeoutCount</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function sets the timeout value. It should be ensured that the time-out value for the WDOG is always greater than 2xWCT time + 20 bus clock cycles. This function writes a value into WDOG_TOVALH and WDOG_TOVALL registers which are wirte-once. Ensure the WCT window is still open and the two registers have not been written to in this WCT while the function is called.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>WDOG peripheral base address </td></tr>
    <tr><td class="paramname">timeoutCount</td><td>WDOG timeout value; count of WDOG clock tick. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga4ad416f5872fa7599ae7bd1183b4b2cd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void WDOG_SetWindowValue </td>
          <td>(</td>
          <td class="paramtype">WDOG_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>windowValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function sets the WDOG window value. This function writes a value into WDOG_WINH and WDOG_WINL registers which are wirte-once. Ensure the WCT window is still open and the two registers have not been written to in this WCT while the function is called.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>WDOG peripheral base address </td></tr>
    <tr><td class="paramname">windowValue</td><td>WDOG window value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga7df5cb1939d3bf0772618d05aceeb6b4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void WDOG_Unlock </td>
          <td>(</td>
          <td class="paramtype">WDOG_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function unlocks the WDOG register written. Before starting the unlock sequence and following congfiguration, disable the global interrupts. Otherwise, an interrupt may invalidate the unlocking sequence and the WCT may expire. After the configuration finishes, re-enable the global interrupts.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>WDOG peripheral base address </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga1d307a7df8f2b926c306dc8714dda3f5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WDOG_Refresh </td>
          <td>(</td>
          <td class="paramtype">WDOG_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function feeds the WDOG. This function should be called before the WDOG timer is in timeout. Otherwise, a reset is asserted.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>WDOG peripheral base address </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga394597f9a677b3cb4703caa2bcb153b3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint16_t WDOG_GetResetCount </td>
          <td>(</td>
          <td class="paramtype">WDOG_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function gets the WDOG reset count value.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>WDOG peripheral base address </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>WDOG reset count value. </dd></dl>

</div>
</div>
<a class="anchor" id="ga1d143e1818e98b4657f8a29c69a48a50"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void WDOG_ClearResetCount </td>
          <td>(</td>
          <td class="paramtype">WDOG_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function clears the WDOG reset count value.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>WDOG peripheral base address </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
